library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

entity Counter99 is
	port(
		clk : in std_logic;
		Upper : out std_logic_vector(3 downto 0);
		Lower : out std_logic_vector(3 downto 0)
	);
end Counter99;

architecture RTL of Counter99 is
	signal Q1 : std_logic_vector(3 downto 0);
	signal Q2 : std_logic_vector(3 downto 0);	
	
	begin
	process (clk) begin
		if(clk'event and clk = '1') then
			Q1 <= Q1 + 1;
			if(Q1 = 9) then
				Q1 <= "0000";
				Q2 <= Q2 + 1;
				if(Q2 = 9) then
					Q2 <= "0000";
				end if;
			end if;
		end if;
	end process;
	Lower <= Q1;
	Upper <= Q2;	
end RTL;
			
	