----------------------------------------
-- Flash LED x 4
----------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

entity LEDFlash is
	port(
		clk : in std_logic;
		LED : out std_logic_vector(3 downto 0)
		);
end LEDFlash;

architecture RTL of LEDFlash is
	signal temp : std_logic_vector(25 downto 0);
	
	begin
	process (clk) begin
		if (clk'event and clk = '1') then
			temp <= temp + 1;			-- count up
		end if;
	end process;
	LED <= temp(25 downto 22);		-- Upper bit out to LED
end RTL;

	
